\documentclass{mast}

\title{MAST Diagnostic}
\author{Dennis Chen}
\date{Season 1}

\begin{document}

\maketitle

\section{Instructions}
Take as long as you need on these problems and do as many as you can. For computational problems, provide numerical answers and include a short sketch of your solution. For proof problems, include a full solution. Once done, submit it through the MAST Diagnostic Form.

You may use books as reference/ask me or other people for help. (In particular, if you need reading to learn the material, please contact me.) All of these are my problems so I do think it'll be difficult to google them, but please don't try this all the same.

\section{Problems}

\subsection{Computational}

\begin{enumerate}

\item How many integer values of $1\leq x\leq 100$ makes $x^2+8x+5$ divisible by $10?$

\item In the following diagram, $m\angle BAC=m\angle BFC=40^{\circ}$, $m\angle ABF=80^{\circ}$, and $m\angle FEB=2m\angle DBE=2m\angle FBE$. What is $m\angle ADB$?

    \begin{center}
        \begin{asy}
        import olympiad;
        size(4cm);
    draw((0,0)--(-14,0)--(2,8)--(0,0)--(-9,2.5)--(-5.5,0)--(-6,4)--cycle);
    draw((-5.5,0)--(2,8));
    label("A", (2,8), NE);
    label("B", (0,0), SE);
    label("C", (-5.5,0), S);
    label("D", (-14,0), SW);
    label("E", (-9,2.5), NNW);
    label("F", (-6,4), NNW);
        \end{asy}
    \end{center}

\item Consider parallelogram $ABCD$ with $AB=7,$ $BC=6.$ Let the angle bisector of $\angle DAB$ intersect $BC$ at $X$ and $CD$ at $Y.$ Let the line through $X$ parallel to $BD$ intersect $AD$ at $Q.$ If $QY=6,$ find $\cos\angle DAB.$

\item Consider unit circle $O$ with diameter $AB.$ Let $T$ be on the circle such that $TA<TB.$ Let the tangent line through $T$ intersect $AB$ at $X$ and intersect the tangent line through $B$ at $Y.$ Let $M$ be the midpoint of $YB,$ and let $XM$ intersect circle $O$ at $P$ and $Q.$ If $XP=MQ,$ find $AT.$

\item A secret spy organization needs to spread some secret knowledge to all of its members. In the beginning, only $1$ member is \textit{informed}. Every informed spy will call an uninformed spy such that every informed spy is calling a different uninformed spy. After being called, an uninformed spy becomes informed. The call takes $1$ minute, but since the spies are running low on time, they call the next spy directly afterward. However, to avoid being caught, after the third call an informed spy makes, the spy stops calling. How many minutes will it take for every spy to be informed, provided that the organization has $600$ spies?

\item Andy the unicorn is on a number line from $1$ to $2019.$ He starts on $1.$ Each step, he randomly and uniformly picks an integer greater than the integer he is currently on, and goes to it. He stops when he reaches $2019.$ What is the probability he is ever on $1984?$

\item Find \[\sum\limits_{a=1}^{\infty}\frac{32a}{16a^4+24a^2+25}.\]

\item Find the sum of all odd $n$ such that $\frac{1}{n}$ expressed in base $8$ is a repeating decimal with period $4.$

\item Santa Claus is putting $n$ identical toy trains into a red stocking, a green stocking, and a white stocking such that the amount of trains in the green stocking is divisible by $3$ and the amount of trains in the white stocking is even. Mrs. Claus is putting $n$ identical elves into a red stocking, a green stocking, and a white stocking such that the amount of elves in the green stocking is divisible by $3$ and the amount of elves in the white stocking is odd. Find, in terms of $n,$ the positive difference between the amount of ways Santa Claus can put his trains in the stockings and the amount of ways Mrs. Claus can put her elves in the stockings.

\item Find the maximum value of $k$ such that $(x+1)^4\geq kx^3$ for all $x.$

\end{enumerate}

\subsection{Proof}

\begin{enumerate}
    \item Consider $\triangle ABC,$ and let the feet of the $B$ and $C$ altitudes of the triangle be $X,Y.$ Let $XY$ intersect $BC$ at $P.$ Then prove that the circumcircles of $\triangle PBY$ and $\triangle PCX$ concur with $AP.$

    \item Consider $\triangle ABC$ with $D$ on line $BC.$ Let the circumcenters of $\triangle ABD$ and $\triangle ACD$ be $M,N,$ respectively. Let the circumcircle of $\triangle MND$ intersect the circumcircle of $\triangle ACD$ again at $H\neq D.$ Prove that $A,M,H$ are collinear.

    \item Let $f(x)=x^2-12x+36.$ In terms of $k$, for $k\geq 2,$ find the sum of all real $n$ such that $f^{k-1}(n)=f^k(n).$
    
    \item Consider scalene $\triangle ABC$ with incenter $I.$ Let the $A$ excircle of $\triangle ABC$ intersect the circumcircle of $\triangle ABC$ at $X,Y.$ Let $XY$ intersect $BC$ at $Z.$ Then choose $M,N$ on the $A$ excircle of $\triangle ABC$ such that $ZM,ZN$ are tangent to the $A$ excircle of $\triangle ABC.$ Prove $I,M,N$ are collinear.
\end{enumerate}

\end{document}

